#### D.4.18.1 isMonomial

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  isMonomial (I); I ideal.

Return:
  1, if I is monomial ideal; 0, otherwise.

Assume:
  I is an ideal of the basering.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y, w^2*x^2*y^2*z^2 - y^3*z+x^4*z^4*t^4, w*x*y*z*t - w*x^6*y^5*z^4, x^2*z^4*t^3 , w^6*y^4*z^2 + x^2*y^2*z^2;
    isMonomial(I);
    ==> 1
    ideal J = w^3*x*y + x^3*y^9*t^3, w^2*x^2*y^2*z^2 - y^3*z, w*x*y*z*t - w*x^6*y^5*z^4, x^2*z^4*t^3 + y^4*z^4*t^4, w^6*y^4*z^2 + x^2*y^2*z^2;
    isMonomial(J);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.